package com.xhly.corelib.bean;

import android.content.Intent;
import android.graphics.drawable.Drawable;

import java.io.Serializable;

public class AppInfo implements Serializable {
    private String packageName; //包名
    private Drawable ico;       //图标
    private String Name;        //应用标签
    private Intent intent;     //启动应用程序的Intent ，一般是Action为Main和Category为Lancher的Activity

    private long startTime;

    private long endTime;

    private long foregroundTime;

    private String versionName;

    private long versionNum;

    public String getVersionName() {
        return versionName;
    }

    public void setVersionName(String versionName) {
        this.versionName = versionName;
    }

    public long getVersionNum() {
        return versionNum;
    }

    public void setVersionNum(long versionNum) {
        this.versionNum = versionNum;
    }

    public Intent getIntent() {
        return intent;
    }
 
    public void setIntent(Intent intent) {
        this.intent = intent;
    }
 
 
    public String getPackageName() {
        return packageName;
    }
 
    public void setPackageName(String packageName) {
        this.packageName = packageName;
    }
 
    public Drawable getIco() {
        return ico;
    }
 
    public void setIco(Drawable ico) {
        this.ico = ico;
    }
 
    public String getName() {
        return Name;
    }
 
    public void setName(String name) {
        Name = name;
    }

    public long getForegroundTime() {
        return foregroundTime;
    }

    public void setForegroundTime(long foregroundTime) {
        this.foregroundTime = foregroundTime;
    }

    public long getStartTime() {
        return startTime;
    }

    public void setStartTime(long startTime) {
        this.startTime = startTime;
    }

    public long getEndTime() {
        return endTime;
    }

    public void setEndTime(long endTime) {
        this.endTime = endTime;
    }
}